POST api/Challenges/DeletePostComment
Request Information
URI Parameters
None.
Body Parameters
PostCommentDeleteModel_v2| Name | Description | Type | Additional information |
|---|---|---|---|
| groupPostId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"groupPostId": 1,
"commentGuid": "865fcba4-fec8-46fc-8d4d-95b46fb5ac05",
"accountGuid": "ed5c1d4d-ff05-449d-a10c-c0718feca76c"
}
text/plain, application/octet-stream
Sample:
{"groupPostId":1,"commentGuid":"865fcba4-fec8-46fc-8d4d-95b46fb5ac05","accountGuid":"ed5c1d4d-ff05-449d-a10c-c0718feca76c"}
application/xml, text/xml
Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"> <accountGuid>ed5c1d4d-ff05-449d-a10c-c0718feca76c</accountGuid> <commentGuid>865fcba4-fec8-46fc-8d4d-95b46fb5ac05</commentGuid> <groupPostId>1</groupPostId> </PostCommentDeleteModel_v2>
multipart/form-data, application/form-data
Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"><accountGuid>ed5c1d4d-ff05-449d-a10c-c0718feca76c</accountGuid><commentGuid>865fcba4-fec8-46fc-8d4d-95b46fb5ac05</commentGuid><groupPostId>1</groupPostId></PostCommentDeleteModel_v2>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.